libnvme(2)

NAME
struct nvme_end_grp_config_desc - Endurance Group Configuration Descriptor

SYNOPSIS
struct nvme_end_grp_config_desc {
__le16 endgid;
__le16 cap_adj_factor;
__u8 rsvd4[12];
__u8 tegcap[16];
__u8 segcap[16];
__u8 end_est[16];
__u8 rsvd64[16];
__le16 egsets;
__le16 nvmsetid[];
};

Members

endgid
    Endurance Group Identifier

cap_adj_factor
    Capacity Adjustment Factor

rsvd4
    Reserved

tegcap
    Total Endurance Group Capacity

segcap
    Spare Endurance Group Capacity

end_est
    Endurance Estimate

rsvd64
    Reserved

egsets
    Number of NVM Sets

nvmsetid
    NVM Set Identifier